Problem with the last version of SSH adaptor

Added by Scardaci Diego over 5 years ago

Dear Guys,
I got a problem using SSH adaptor of the last 0.9.16 snapshot with a 'UserPass' context like the following:

...
session = SessionFactory.createSession(false);
context = ContextFactory.createContext("UserPass");
context.setAttribute("UserID", username);
context.setAttribute("UserPass", password);
...

It seems that sftp doesn't support anymore 'UserPass' credential:
NoSuccess: AuthenticationFailed: Security context class 'fr.in2p3.jsaga.adaptor.security.impl.UserPassSecurityCredential' not supported for protocol: sftp

Cheers,
Diego